// Project Lab - NHTV IGAD
//////////////////////////////////////////
// Author: Yoshi van Belkom - 130118
//////////////////////////////////////////
// Factory for making a Skill Tree asset.
//////////////////////////////////////////

#pragma once

#include "SkillTreeFactory.generated.h"

UCLASS()
class USkillTreeFactory : public UFactory
{
	GENERATED_UCLASS_BODY()

public:
	// UFactory interface
	virtual UObject* FactoryCreateNew( UClass* a_class, UObject* a_parent, FName a_name, EObjectFlags a_flags, UObject* a_context, FFeedbackContext* a_warn ) override;
	// End of UFactory interface
};
